[![logo](https://www.hongsnet.net/images/logo.gif)](https://www.hongsnet.net)

# K8s Resource ITEMS

> Prometheus Alert Rule을 이용한 각종 Metric 기준 및 구성을 진행한다.


| NO | ITEM | 바로가기 | 비고 |
| ------ | ------ | ------ | ------ |
| 1 | K8s Node **Not Ready** | [GO](./RESULT/NODE/) |  |
| 2 | K8s Node **Memory Pressure** True | [GO](./RESULT/MEMORYPRESSURE/) |  |
| 3 | K8s Node **Disk Pressure** | [GO](./RESULT/DISKPRESSURE/) |  |
| 4 | K8s Node **Out of Capacity** | [GO](./RESULT/OUTOFCAPACITY/) |  |
| 5 | K8s PVC **Pending** | [GO](./RESULT/PVCPENDING/) |  |
| 6 | K8s Out of **Disk Volume Space** | [GO](./RESULT/DISKOUTOFSPACE/) |  |
| 7 | K8s Volume **Full in XXX Days** | [GO](./RESULT/DISKOUTOFFULL/) |  |
| 8 | K8s PV **Volume Error** | [GO](./RESULT/DISKPVERROR/) |  |
| 9 | K8s HPA Scaling **Ability** | [GO](./RESULT/SCALINGABILITY/) |  |
| 10 | K8s HPA **Not Availability** | [GO](./RESULT/SCALINGNOT/) |  |
| 11 | K8s HPA **Maximum Scale Capability** | [GO](./RESULT/SCALINGMAXIMUM/) |  |
| 12 | K8s POD **Not Healthy** | [GO](./RESULT/PODNOT/) |  |
| 13 | K8s POD **Crash Looping** | [GO](./RESULT/PODCRASH/) |  |
| 14 | K8s ReplicaSet **MissMatch** | [GO](./RESULT/REPLICASETMISS/) |  |
| 15 | K8s Deployment **Replicas MissMatch** | [GO](./RESULT/DEPLOYMENTREPLICAMISS/) |  |
| 16 | K8s Deployment **Generation MissMatch** | [GO](./RESULT/DEPLOYMENTGENERATIONMISS/) |  |
| 17 | K8s DaemonSet **Rollout Stuck** | [GO](./RESULT/DAEMONSETROLLOUTSTUCK/) |  |
| 18 | K8s DaemonSet **Rollout MissScheduled** | [GO](./RESULT/DAEMONSETROLLOUTMISS/) |  |
| 19 | K8s **API Client Errors** | [GO](./RESULT/APICLIENTSERRORS/) |  |
